%define kmod_name		igb
%define kmod_driver_version	3.0.6_k2_1
%define kmod_rpm_release	1
%define kmod_git_hash		0bc5012181f426f8f3193b2b3aa6474dcb66f6ac
%define kmod_kernel_version	2.6.18-274.12.1.el5
%define kmod_suffix		rhel5u7


%{!?dist: %define dist .el5_7}

Source0:	%{kmod_name}-%{kmod_driver_version}.tar.bz2			
Source1:	kmodtool			
Source2:	find-requires.ksyms			
Source3:	symbols.greylist			

%define kmodtool bash %{SOURCE1}
%define __find_requires %_sourcedir/find-requires.ksyms

%define kverrel %(%{kmodtool} verrel %kmod_kernel_version 2>/dev/null)

%ifarch i686 x86_64 ia64
%define xenvar xen
%endif

%ifarch i686
%define paevar PAE
%endif

%define upvar ""
%{!?kvariants: %define kvariants %{?upvar} %{?xenvar} %{?paevar}}

Name:           %{kmod_name}-kmod
Version:        %{kmod_driver_version}
Release:        %{kmod_rpm_release}%{?dist}
Summary:        %{kmod_name} kernel module
Group:          System Environment/Kernel
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  i686 x86_64


%description
%{kmod_name} - driver update

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate_kmp %{kmod_name} %{kmod_suffix} %{kverrel}  %{kvariants} 2>/dev/null)}

%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate_kmp %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -T -a 0
for kvariant in %{kvariants} ; do
    cp -a %{kmod_name}-%{version} _kmod_build_$kvariant
    done


%build
echo  %{kverrel}
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant

    # update symvers file if existing
    symvers=Module.symvers${kvariant:+-$kvariant}-%{_target_cpu}
    if [ -e $symvers ]; then
        cp $symvers Module.symvers
    fi

    make -C "${ksrc}" modules M=$PWD
    popd
done

if [ -d firmware ]; then
	make -C firmware
fi

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}-%{kmod_suffix}
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" modules_install M=$PWD
    popd
done

# create depmod configuration
mkdir -p ${RPM_BUILD_ROOT}/etc/depmod.d
cat<<EOF > ${RPM_BUILD_ROOT}/etc/depmod.d/%{kmod_name}-%{kmod_suffix}.conf
override %{kmod_name} * weak-updates/%{kmod_name}-%{kmod_suffix}
EOF

mkdir -p ${RPM_BUILD_ROOT}/lib/firmware

if [ -d firmware ]; then
	make -C firmware INSTALL_PATH=$RPM_BUILD_ROOT INSTALL_DIR=updates install
fi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 18 2011 Jiri Olsa <jolsa@redhat.com> 3.0.6_k2_1 1
- igb DUP module
